Forum Discussion
Get Reports REST api not working - Showing 400 Bad Request
Hi All,
I am trying to retrieve the report metadata using the REST API provided,
https://docs.microsoft.com/en-us/rest/api/power-bi/reports/getreportingroup
REST call tried: https://api.powerbi.com/v1.0/myorg/groups/f702bdb7-e372-4990-a828-5e5449c6f676/reports/7d36d8aa-4ae8...
I did register the application and got the token. All the other REST calls are working Except this... (Showing 400 Bad request).
Not sure what I'm missing here. Pls let me know
Thanks
6 Replies
- v-jiascu-msftMicrosoft Employee
Hi pratheeban,
Seems something is wrong. I have reported this issue to the Product Team: CRI 75423606. I will update here.
Best Regards,
Dale
- v-jiascu-msftMicrosoft Employee
Hi pratheeban,
Did you use " 'Accept' HTTP header" in the request? Maybe you can try to remove it.
Best Regards,
Dale
- luismangahrRegular Visitor
I have the same and I have no Accept header. See cURL command obtained from the postman I am using (I have modified it by manually adding "......." to remove id's):
curl -X GET \ https://api.powerbi.com/v1.0/myorg/groups/b931........../reports/7bbf.......... \ -H 'Authorization: Bearer eyJ0e..........' \ -H 'Cache-Control: no-cache'
- v-jiascu-msftMicrosoft Employee
Hi luismangahr, pratheeban,
I tested the workaround. Please set the header "Accept" to "None" explicitly. It's None in Python. Please try it and give some feedback.
headers = {"Authorization": token, "Accept": None} r = requests.get(get_url, headers = headers)Best Regards,
Dale